API reference

Comments

8 operations, generated from the OpenAPI document.

A page of a record's comments, oldest first (the newest page, or before a cursor)

GET /api/tables/{tableId}/records/{recordId}/comments

Access: comment:read on the table (see ACTIONS for the minimum role); personal access tokens need data.recordComments:read.

Parameters

NameInTypeRequired
tableIdpathstringyes
recordIdpathstring (uuid)yes
limitqueryintegerno
beforequerystringno

Responses

  • 200 Success
    • comments array of object required
      • id string (uuid) required
      • tableId string (uuid) required
      • recordId string (uuid) required
      • authorId string (uuid) | null required
      • body string required
      • mentions array of string (uuid) required
      • reactions array of object required
        • reaction "thumbsUp" | "heart" | "laugh" | "tada" | "eyes" | "check" required
        • userIds array of string (uuid) required
      • createdAt string (date-time) required
      • editedAt string (date-time) | null required
    • previousCursor string | null required
  • 401 Not signed in
  • 403 Signed in, but the role is too low
  • 404 No such resource, or no access to it
  • 422 The request failed validation
  • 429 Too many requests: a rate limit was reached (see Retry-After)

Comment on a record (Markdown, @mentions of people with access to the base)

POST /api/tables/{tableId}/records/{recordId}/comments

Access: comment:create on the table (see ACTIONS for the minimum role); personal access tokens need data.recordComments:write.

Parameters

NameInTypeRequired
tableIdpathstringyes
recordIdpathstring (uuid)yes

Request body

  • body string required
  • clientOpId string

Responses

  • 201 Success
    • id string (uuid) required
    • tableId string (uuid) required
    • recordId string (uuid) required
    • authorId string (uuid) | null required
    • body string required
    • mentions array of string (uuid) required
    • reactions array of object required
      • reaction "thumbsUp" | "heart" | "laugh" | "tada" | "eyes" | "check" required
      • userIds array of string (uuid) required
    • createdAt string (date-time) required
    • editedAt string (date-time) | null required
  • 401 Not signed in
  • 403 Signed in, but the role is too low
  • 404 No such resource, or no access to it
  • 422 The request failed validation
  • 429 Too many requests: a rate limit was reached (see Retry-After)

Edit your own comment

PATCH /api/tables/{tableId}/records/{recordId}/comments/{commentId}

Access: comment:create on the table (see ACTIONS for the minimum role); personal access tokens need data.recordComments:write.

Parameters

NameInTypeRequired
tableIdpathstringyes
recordIdpathstring (uuid)yes
commentIdpathstring (uuid)yes

Request body

  • body string required
  • clientOpId string

Responses

  • 200 Success
    • id string (uuid) required
    • tableId string (uuid) required
    • recordId string (uuid) required
    • authorId string (uuid) | null required
    • body string required
    • mentions array of string (uuid) required
    • reactions array of object required
      • reaction "thumbsUp" | "heart" | "laugh" | "tada" | "eyes" | "check" required
      • userIds array of string (uuid) required
    • createdAt string (date-time) required
    • editedAt string (date-time) | null required
  • 401 Not signed in
  • 403 Signed in, but the role is too low
  • 404 No such resource, or no access to it
  • 422 The request failed validation
  • 429 Too many requests: a rate limit was reached (see Retry-After)

Delete your own comment (creators and owners: any comment)

DELETE /api/tables/{tableId}/records/{recordId}/comments/{commentId}

Access: comment:create on the table (see ACTIONS for the minimum role); personal access tokens need data.recordComments:write.

Parameters

NameInTypeRequired
tableIdpathstringyes
recordIdpathstring (uuid)yes
commentIdpathstring (uuid)yes

Responses

  • 204 Success, no content
  • 401 Not signed in
  • 403 Signed in, but the role is too low
  • 404 No such resource, or no access to it
  • 429 Too many requests: a rate limit was reached (see Retry-After)

Add your reaction to a comment

PUT /api/tables/{tableId}/records/{recordId}/comments/{commentId}/reactions/{reaction}

Access: comment:create on the table (see ACTIONS for the minimum role); personal access tokens need data.recordComments:write.

Parameters

NameInTypeRequired
tableIdpathstringyes
recordIdpathstring (uuid)yes
commentIdpathstring (uuid)yes
reactionpath"thumbsUp" | "heart" | "laugh" | "tada" | "eyes" | "check"yes

Responses

  • 200 Success
    • id string (uuid) required
    • tableId string (uuid) required
    • recordId string (uuid) required
    • authorId string (uuid) | null required
    • body string required
    • mentions array of string (uuid) required
    • reactions array of object required
      • reaction "thumbsUp" | "heart" | "laugh" | "tada" | "eyes" | "check" required
      • userIds array of string (uuid) required
    • createdAt string (date-time) required
    • editedAt string (date-time) | null required
  • 401 Not signed in
  • 403 Signed in, but the role is too low
  • 404 No such resource, or no access to it
  • 429 Too many requests: a rate limit was reached (see Retry-After)

Take back your reaction to a comment

DELETE /api/tables/{tableId}/records/{recordId}/comments/{commentId}/reactions/{reaction}

Access: comment:create on the table (see ACTIONS for the minimum role); personal access tokens need data.recordComments:write.

Parameters

NameInTypeRequired
tableIdpathstringyes
recordIdpathstring (uuid)yes
commentIdpathstring (uuid)yes
reactionpath"thumbsUp" | "heart" | "laugh" | "tada" | "eyes" | "check"yes

Responses

  • 200 Success
    • id string (uuid) required
    • tableId string (uuid) required
    • recordId string (uuid) required
    • authorId string (uuid) | null required
    • body string required
    • mentions array of string (uuid) required
    • reactions array of object required
      • reaction "thumbsUp" | "heart" | "laugh" | "tada" | "eyes" | "check" required
      • userIds array of string (uuid) required
    • createdAt string (date-time) required
    • editedAt string (date-time) | null required
  • 401 Not signed in
  • 403 Signed in, but the role is too low
  • 404 No such resource, or no access to it
  • 429 Too many requests: a rate limit was reached (see Retry-After)

How many comments each record of the table has (records with none left out)

GET /api/tables/{tableId}/comment-counts

Access: comment:read on the table (see ACTIONS for the minimum role); personal access tokens need data.recordComments:read.

Parameters

NameInTypeRequired
tableIdpathstringyes

Responses

  • 200 Success
    • counts object required
  • 401 Not signed in
  • 403 Signed in, but the role is too low
  • 404 No such resource, or no access to it
  • 429 Too many requests: a rate limit was reached (see Retry-After)

Who a comment on the table's records may mention: everyone with access to the base

GET /api/tables/{tableId}/mentionable-users

Access: comment:create on the table (see ACTIONS for the minimum role); personal access tokens need data.recordComments:write.

Parameters

NameInTypeRequired
tableIdpathstringyes

Responses

  • 200 Success
    • userIds array of string (uuid) required
  • 401 Not signed in
  • 403 Signed in, but the role is too low
  • 404 No such resource, or no access to it
  • 429 Too many requests: a rate limit was reached (see Retry-After)